\begin{table}[htbp]
\begin{adjustbox}{max width=\textwidth}
\begin{tabular}{|c||c|c|c|c|c|c|c|c|c|}
\hline
\textit{Threads} & 1      & 2     & 4     & 8     & 16    & 32    & 68    & 136   & 272   \\ \hline \hline
Intel i5 7600    & 7.440  & 5.981 & 5.942 & ---   & ---   & ---   & ---   & ---   & ---   \\ \hline
GTX 1050 Ti      & 2.190  & ---   & ---   & ---   & ---   & ---   & ---   & ---   & ---   \\ \hline
KNL              & 12.008 & 8.866 & 4.582 & 2.455 & 1.404 & 0.983 & 0.808 & 0.981 & 1.601 \\ \hline
\end{tabular}
\end{adjustbox}
\caption{Tiempos de ejecución (en segundos) para el tratamiento de la imagen \texttt{florencia\_color} mediante el método variacional.}
\label{tab:florencia-variacional}
\end{table}